<template>
  <div class="layout">
    <BackNav/>
    <section class="resume-section p-3 p-lg-5 d-flex justify-content-center">
          <div class="w-100">
              <h2 class="mb-5">{{$context.title}}</h2>
              <p v-html="richtextToHTML($context.richContent)"></p>
          </div>
      </section>
  </div>
</template>

<script>
import BackNav from "../components/BackNav";
import Layout from '~/layouts/Default.vue'
import { documentToHtmlString } from '@contentful/rich-text-html-renderer'

export default {
  components: {
    BackNav,
    Layout
  },
  methods: {
    richtextToHTML (content) {
      return documentToHtmlString(content)
    }
  },
  metaInfo () {
    return {
      title: this.$context.title,
      meta: [
        { name: 'author', content: 'Llewellyn Collins' }
      ]
    }
  }
}
</script>